<?php
require'f_biblioteca.php';
require'f_admin.php';
if($perm<2)
require'interzis.php';
$titlu='Adaugă carte';
$back[2]='<a href="/admin-adauga-carti/categorie/'.$cid.'-'.seo($cinfo[1]).'">'.img('administrare.png',1).'Adaugă carti</a>';
require'f_sus.php';
if($pmtext=='')
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai completat titlul cartii!'.$div[0];
require'f_jos.php';
}
$dir='log';
$extensii_acceptate=['bk','doc','rtf','txt'];
if(isset($_FILES['fisier']))
{
if($_FILES['fisier']['error']!=0)
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].[1=>'Fișierul încărcat depășește directiva upload_max_filesize, directivă din php.ini',2=>'Fișierul încărcat depășește limita declarată în formularul html',3=>'Fișierul nu s-a încărcat în totalitate',4=>'Nu a fost încărcat nici un fișier',6=>'Lipsește folderul temporar',7=>'Scrierea fișierului a eșuat',8=>'Această extensie este refuzată de PHP'][$_FILES['fisier']['error']].'!'.$div[0];
require'f_jos.php';
}
$nume_fisier=$_FILES['fisier']['name'];
$extensie=mb_strtolower(pathinfo($nume_fisier)['extension']);
if(!in_array($extensie,$extensii_acceptate))
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Fișier ne cunoscut, sper că nu încerci să faci vre-o măgărie!'.$div[0];
require'f_jos.php';
}
$nume_fisier='carte-('.$adresasite[3].')-'.$_SERVER['REQUEST_TIME'].'.'.$extensie;
$itemurl=$dir.'/'.$nume_fisier;
if(file_exists($itemurl))
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Un fișier cu acest nume este adăugat în biblioteca!<br />Daca stii cu siguranta ca aceasta carte nu este în biblioteca, redenumeste fișierul, și încarcă-l din nou!'.$div[0];
require'f_jos.php';
}
if($_FILES['fisier']['error']!=0)
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].[1=>'Fișierul încărcat depășește directiva upload_max_filesize, directivă din php.ini',2=>'Fișierul încărcat depășește limita declarată în formularul html',3=>'Fișierul nu s-a încărcat în totalitate',4=>'Nu a fost încărcat nici un fișier',6=>'Lipsește folderul temporar',7=>'Scrierea fișierului a eșuat',8=>'Această extensie este refuzată de PHP'][$_FILES['fisier']['error']].'!'.$div[0];
require'f_jos.php';
}
copy($_FILES['fisier']['tmp_name'],$itemurl) or die($div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu se poate copia, verifică permisiunile dosarului în care urmează să fie introdus fișierul!'.$div[0]);
if($conn->query('INSERT INTO`biblioteca_carti`SET`nume`="'.$pmtext.'",`cid`="'.$cid.'",`de`="'.$de.'",`data`="'.$_SERVER['REQUEST_TIME'].'"'))
{
$pid=$conn->insert_id;
$conn->query('INSERT INTO`evenimente`SET`text`="a adăugat în biblioteca, cartea [url=/biblioteca/id/'.$pid.'-'.seo($pmtext).']'.$pmtext.'[/url]",`de`="'.$de.'",`data`="'.$_SERVER['REQUEST_TIME'].'",`tip`="1"');
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Administrare",`de`="'.$de.'",`text`="a adăugat în biblioteca cartea numita '.$nume_fisier.'",`data`="'.$_SERVER['REQUEST_TIME'].'"');
$start=0;
$pas=0;
$bd=clean(file_get_contents($itemurl));
while($pas==0)
{
$conn->query('INSERT INTO`biblioteca_texte`SET`pid`="'.$pid.'",`text`="'.mb_substr($bd,($start*1000),1000).'<br />Pagina '.$start.'"');
$start++;
if(($start*1000)>mb_strlen($bd))
$pas=1;
}
unlink($itemurl);
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Cartea <a href="/biblioteca/id/'.$pid.'-'.seo($pmtext).'">'.htmlspecialchars($pmtext).'</a> a fost adaugata!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7];
echo$div[0].$div[1].'Titlu carte: '.$pmtext.'<br />Fisier: '.$nume_fisier.'<br />Mărime fișier: '.round($_FILES['fisier']['size']/1024,1).' KB<br />Format:*.'.$extensie.$div[0];
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai selectat nici un fișier!'.$div[0];
require'f_jos.php';